# FFmpegKit Linux API: CallbackData Class Reference

CallbackData Class Reference

## Public Member Functions

| CallbackData (const long sessionId, const int logLevel, const AVBPrint *data)
| CallbackData (const long sessionId, const int videoFrameNumber, const float videoFps, const float videoQuality, const int64_t size, const int time, const double bitrate, const double speed)
CallbackType | getType ()
long | getSessionId ()
int | getLogLevel ()
AVBPrint * | getLogData ()
int | getStatisticsFrameNumber ()
float | getStatisticsFps ()
float | getStatisticsQuality ()
int64_t | getStatisticsSize ()
int | getStatisticsTime ()
double | getStatisticsBitrate ()
double | getStatisticsSpeed ()

## Private Attributes

CallbackType | _type
long | _sessionId
int | _logLevel
AVBPrint | _logData
int | _statisticsFrameNumber
float | _statisticsFps
float | _statisticsQuality
int64_t | _statisticsSize
int | _statisticsTime
double | _statisticsBitrate
double | _statisticsSpeed

## Detailed Description

Callback data class.

Definition at line 183 of file FFmpegKitConfig.cpp.

## Constructor & Destructor Documentation

## CallbackData() [1/2]

CallbackData::CallbackData | ( | const long | sessionId,
|  | const int | logLevel,
|  | const AVBPrint * | data
| ) |  |

inline

Definition at line 185 of file FFmpegKitConfig.cpp.

## CallbackData() [2/2]

CallbackData::CallbackData | ( | const long | sessionId,
|  | const int | videoFrameNumber,
|  | const float | videoFps,
|  | const float | videoQuality,
|  | const int64_t | size,
|  | const int | time,
|  | const double | bitrate,
|  | const double | speed
| ) |  |

inline

Definition at line 191 of file FFmpegKitConfig.cpp.

## Member Function Documentation

## getLogData()

AVBPrint * CallbackData::getLogData | ( |  | ) |

inline

Definition at line 222 of file FFmpegKitConfig.cpp.

## getLogLevel()

int CallbackData::getLogLevel | ( |  | ) |

inline

Definition at line 218 of file FFmpegKitConfig.cpp.

## getSessionId()

long CallbackData::getSessionId | ( |  | ) |

inline

Definition at line 214 of file FFmpegKitConfig.cpp.

## getStatisticsBitrate()

double CallbackData::getStatisticsBitrate | ( |  | ) |

inline

Definition at line 246 of file FFmpegKitConfig.cpp.

## getStatisticsFps()

float CallbackData::getStatisticsFps | ( |  | ) |

inline

Definition at line 230 of file FFmpegKitConfig.cpp.

## getStatisticsFrameNumber()

int CallbackData::getStatisticsFrameNumber | ( |  | ) |

inline

Definition at line 226 of file FFmpegKitConfig.cpp.

## getStatisticsQuality()

float CallbackData::getStatisticsQuality | ( |  | ) |

inline

Definition at line 234 of file FFmpegKitConfig.cpp.

## getStatisticsSize()

int64_t CallbackData::getStatisticsSize | ( |  | ) |

inline

Definition at line 238 of file FFmpegKitConfig.cpp.

## getStatisticsSpeed()

double CallbackData::getStatisticsSpeed | ( |  | ) |

inline

Definition at line 250 of file FFmpegKitConfig.cpp.

## getStatisticsTime()

int CallbackData::getStatisticsTime | ( |  | ) |

inline

Definition at line 242 of file FFmpegKitConfig.cpp.

## getType()

CallbackType CallbackData::getType | ( |  | ) |

inline

Definition at line 210 of file FFmpegKitConfig.cpp.

## Field Documentation

## _logData

AVBPrint CallbackData::_logData

private

Definition at line 259 of file FFmpegKitConfig.cpp.

## _logLevel

int CallbackData::_logLevel

private

Definition at line 258 of file FFmpegKitConfig.cpp.

## _sessionId

long CallbackData::_sessionId

private

Definition at line 256 of file FFmpegKitConfig.cpp.

## _statisticsBitrate

double CallbackData::_statisticsBitrate

private

Definition at line 266 of file FFmpegKitConfig.cpp.

## _statisticsFps

float CallbackData::_statisticsFps

private

Definition at line 262 of file FFmpegKitConfig.cpp.

## _statisticsFrameNumber

int CallbackData::_statisticsFrameNumber

private

Definition at line 261 of file FFmpegKitConfig.cpp.

## _statisticsQuality

float CallbackData::_statisticsQuality

private

Definition at line 263 of file FFmpegKitConfig.cpp.

## _statisticsSize

int64_t CallbackData::_statisticsSize

private

Definition at line 264 of file FFmpegKitConfig.cpp.

## _statisticsSpeed

double CallbackData::_statisticsSpeed

private

Definition at line 267 of file FFmpegKitConfig.cpp.

## _statisticsTime

int CallbackData::_statisticsTime

private

Definition at line 265 of file FFmpegKitConfig.cpp.

## _type

CallbackType CallbackData::_type

private

Definition at line 255 of file FFmpegKitConfig.cpp.

The documentation for this class was generated from the following file:

- FFmpegKitConfig.cpp